Create Stripe Price
curl --request POST \
--url https://api.example.com/api/payments/stripe/{environment}/catalog/prices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "prod_123",
"currency": "usd",
"unitAmount": 2900,
"recurring": {
"interval": "month",
"intervalCount": 1
},
"lookupKey": "pro_monthly",
"idempotencyKey": "price-pro-monthly"
}
'import requests
url = "https://api.example.com/api/payments/stripe/{environment}/catalog/prices"
payload = {
"productId": "prod_123",
"currency": "usd",
"unitAmount": 2900,
"recurring": {
"interval": "month",
"intervalCount": 1
},
"lookupKey": "pro_monthly",
"idempotencyKey": "price-pro-monthly"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: 'prod_123',
currency: 'usd',
unitAmount: 2900,
recurring: {interval: 'month', intervalCount: 1},
lookupKey: 'pro_monthly',
idempotencyKey: 'price-pro-monthly'
})
};
fetch('https://api.example.com/api/payments/stripe/{environment}/catalog/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"price": {
"priceId": "price_123",
"productId": "prod_123",
"active": true,
"currency": "usd",
"unitAmount": 2900,
"unitAmountDecimal": "2900",
"type": "recurring",
"lookupKey": "pro_monthly",
"billingScheme": "per_unit",
"taxBehavior": "unspecified",
"recurringInterval": "month",
"recurringIntervalCount": 1,
"metadata": {},
"syncedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}Stripe Payments
Create Stripe Price
Create a Stripe price in the requested environment, then mirror it locally after Stripe succeeds.
POST
/
api
/
payments
/
stripe
/
{environment}
/
catalog
/
prices
Create Stripe Price
Authorizations
bearerAuthapiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment provider environment.
Available options:
test, live Body
application/json
Minimum string length:
1Required string length:
3Example:
"usd"
Required range:
x >= 0Example:
2900
Required string length:
1 - 200Show child attributes
Show child attributes
Available options:
exclusive, inclusive, unspecified Show child attributes
Show child attributes
Required string length:
1 - 200Response
Price created
Show child attributes
Show child attributes
Was this page helpful?
⌘I